Package com.independentsoft.office.drawing

# Class EffectReference

java.lang.Object
com.independentsoft.office.drawing.EffectReference

public class EffectReference extends Object
The Class EffectReference.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `EffectReference()`
  Instantiates a new effect reference.
  `EffectReference​(InternalXMLStreamReader reader)`
  Instantiates a new effect reference.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `EffectReference`
  `clone()`
  `ColorChoice`
  `getColorChoice()`
  Gets the color choice.
  `int`
  `getStyleMatrixIndex()`
  Gets the style matrix index.
  `void`
  `setColorChoice​(ColorChoice colorChoice)`
  Sets the color choice.
  `void`
  `setStyleMatrixIndex​(int styleMatrixIndex)`
  Sets the style matrix index.
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### EffectReference

    public EffectReference()
    Instantiates a new effect reference.

  - ### EffectReference

    public EffectReference​(InternalXMLStreamReader reader) throws XMLStreamException
    Instantiates a new effect reference.
    Parameters:
      `reader` - the reader
    Throws:
      `XMLStreamException` - the xML stream exception

- ## Method Details

  - ### clone

    public EffectReference clone()
    Overrides:
      `clone` in class `Object`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### getColorChoice

    public ColorChoice getColorChoice()
    Gets the color choice.
    Returns:
      the color choice

  - ### setColorChoice

    public void setColorChoice​(ColorChoice colorChoice)
    Sets the color choice.
    Parameters:
      `colorChoice` - the new color choice

  - ### getStyleMatrixIndex

    public int getStyleMatrixIndex()
    Gets the style matrix index.
    Returns:
      the style matrix index

  - ### setStyleMatrixIndex

    public void setStyleMatrixIndex​(int styleMatrixIndex)
    Sets the style matrix index.
    Parameters:
      `styleMatrixIndex` - the new style matrix index